Package io.vertx.config.spi.utils

## Class JsonObjectHelper

- java.lang.Object
- - io.vertx.config.spi.utils.JsonObjectHelper

-     public class JsonObjectHelper
      extends Object

  Some utility methods to create json objects from a set of String.
  Author:
    Clement Escoffier

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JsonObjectHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Object` | `convert​(String value)` |
    `static JsonObject` | `from​(Properties props)` |
    `static JsonObject` | `from​(Properties props, boolean rawData)` |
    `static JsonObject` | `from​(Properties props, boolean rawData, boolean hierarchical)` |
    `static void` | `put​(JsonObject json, String name, String value, boolean rawData)` |
    `static Buffer` | `toBuffer​(JsonObject json)` | Deprecated. use `JsonObject.toBuffer()` instead
    `static JsonObject` | `toJson​(List<String> paths, String value, boolean rawData)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonObjectHelper

          public JsonObjectHelper()

  - ### Method Detail

    - #### toBuffer

          @Deprecated
          public static Buffer toBuffer​(JsonObject json)

      Deprecated.
      use `JsonObject.toBuffer()` instead
      Deprecated. `JsonObject` now has a `JsonObject.toBuffer()` method.

    - #### put

          public static void put​(JsonObject json,
                                 String name,
                                 String value,
                                 boolean rawData)

    - #### convert

          public static Object convert​(String value)

    - #### from

          public static JsonObject from​(Properties props)

    - #### from

          public static JsonObject from​(Properties props,
                                        boolean rawData)

    - #### from

          public static JsonObject from​(Properties props,
                                        boolean rawData,
                                        boolean hierarchical)

    - #### toJson

          public static JsonObject toJson​(List<String> paths,
                                          String value,
                                          boolean rawData)